Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Interface IDocHandler

All Known Implementing Classes:
  Request

    public interface IDocHandler

Defines the parser callbacks.

Author:
  jostb

Method Summary
`boolean` | `begin(ParserTag[] tag)` Called for each <tag arg1 ...
`ParserString` | `createParserString()` Parser string factory
`void` | `end(ParserString[] strings)` Called for each </tag>

Method Detail

### begin

    boolean begin(ParserTag[] tag)

  Called for each <tag arg1 ... argn>

  Parameters:
    `tag` - The tag and the args.
  Returns:
    true, if the parser should stop after reading the top-level end tag, false otherwise. Implements a short path: Set this to true, if you already know that the current top-level request doesn't need a reply.

### end

    void end(ParserString[] strings)

  Called for each </tag>

  Parameters:
    `strings` - The tag and the args.
  See Also:
    `begin(ParserTag[])`

### createParserString

    ParserString createParserString()

  Parser string factory

  Returns:
    The parser string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD